Loading...
Searching...
No Matches
field_rdof_indirect_const< FieldRdof >

## Detailed Description

template<class FieldRdof>
class rheolef::details::field_rdof_indirect_const< FieldRdof >

Definition at line 206 of file field_wdof_indirect.h.

Inheritance diagram for field_rdof_indirect_const< FieldRdof >:

## Public Types

using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | base = field_indirect_base< scalar_type, memory_type >
using | size_type = typename base::size_type
using | geo_type = typename base::geo_type
using | space_type = typename base::space_type
using | const_iterator = field_indirect_const_iterator< typename disarray< size_type, memory_type >::const_iterator,typename FieldRdof::const_iterator >
Public Types inherited from field_rdof_base< field_rdof_indirect_const< FieldRdof > >
using | size_type = typename field_traits< field_rdof_indirect_const< FieldRdof > >::size_type
using | scalar_type = typename field_traits< field_rdof_indirect_const< FieldRdof > >::scalar_type
using | memory_type = typename field_traits< field_rdof_indirect_const< FieldRdof > >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_indirect_base< T, M >
using | float_type = typename float_traits< T >::type
using | memory_type = M
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
using | size_type = typename geo_type::size_type

## Public Member Functions

| field_rdof_indirect_const ()=delete
template<class Sfinae = typename std::enable_if< has_field_rdof_interface<FieldRdof>::value ,void >::type>
| field_rdof_indirect_const (const FieldRdof &uh, const geo_type &dom)
| field_rdof_indirect_const (const field_wdof_indirect< FieldRdof > &uh)
const scalar_type & | dis_dof (size_type dis_idof) const
const scalar_type & | dof (size_type idof) const
const_iterator | begin_dof () const
const_iterator | end_dof () const
Public Member Functions inherited from field_rdof_base< field_rdof_indirect_const< FieldRdof > >
field_rdof_indirect_const< field_rdof_indirect_const< FieldRdof > > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< field_rdof_indirect_const< FieldRdof > > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< field_rdof_indirect_const< FieldRdof > > | operator[] (size_type i_comp) const
field_rdof_sliced_const< field_rdof_indirect_const< FieldRdof > > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const
Public Member Functions inherited from field_indirect_base< T, M >
| field_indirect_base (const space_type &V, const geo_type &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_type & | get_geo () const
const space_type & | get_space () const

## Protected Attributes

const FieldRdof | _uh_const
Protected Attributes inherited from field_indirect_base< T, M >
space_type | _V
space_type | _W
geo_type | _dom
disarray< size_type, memory_type > | _dom_dis_idof2dis_idof
size_type | _first_dis_idof

## Additional Inherited Members

Protected Member Functions inherited from field_rdof_base< field_rdof_indirect_const< FieldRdof > >
field_rdof_indirect_const< FieldRdof > & | derived ()
const field_rdof_indirect_const< FieldRdof > & | derived () const

## Member Typedef Documentation

## scalar_type

template<class FieldRdof >

using scalar_type = typename FieldRdof::scalar_type

Definition at line 216 of file field_wdof_indirect.h.

## memory_type

template<class FieldRdof >

using memory_type = typename FieldRdof::memory_type

Definition at line 217 of file field_wdof_indirect.h.

## base

template<class FieldRdof >

using base = field_indirect_base<scalar_type,memory_type>

Definition at line 218 of file field_wdof_indirect.h.

## size_type

template<class FieldRdof >

using size_type = typename base::size_type

Definition at line 219 of file field_wdof_indirect.h.

## geo_type

template<class FieldRdof >

using geo_type = typename base::geo_type

Definition at line 220 of file field_wdof_indirect.h.

## space_type

template<class FieldRdof >

using space_type = typename base::space_type

Definition at line 221 of file field_wdof_indirect.h.

## const_iterator

template<class FieldRdof >

using const_iterator = field_indirect_const_iterator< typename disarray<size_type,memory_type>::const_iterator ,typename FieldRdof::const_iterator>

Definition at line 222 of file field_wdof_indirect.h.

## Constructor & Destructor Documentation

## field_rdof_indirect_const() [1/3]

template<class FieldRdof >

field_rdof_indirect_const | ( |  | ) |

delete

## field_rdof_indirect_const() [2/3]

template<class FieldRdof >
template<class Sfinae >

field_rdof_indirect_const | ( | const FieldRdof & | uh,
|  | const geo_type & | dom
| ) |  |

Definition at line 267 of file field_wdof_indirect.h.

## field_rdof_indirect_const() [3/3]

template<class FieldRdof >

field_rdof_indirect_const | ( | const field_wdof_indirect< FieldRdof > & | uh | ) |

Definition at line 275 of file field_wdof_indirect.h.

## Member Function Documentation

## dis_dof()

template<class FieldRdof >

const field_rdof_indirect_const< FieldRdof >::scalar_type & dis_dof | ( | size_type | dis_idof | ) | const

Definition at line 298 of file field_wdof_indirect.h.

## dof()

template<class FieldRdof >

const scalar_type & dof | ( | size_type | idof | ) | const

Definition at line 242 of file field_wdof_indirect.h.

## begin_dof()

template<class FieldRdof >

field_rdof_indirect_const< FieldRdof >::const_iterator begin_dof | ( |  | ) | const

Definition at line 284 of file field_wdof_indirect.h.

## end_dof()

template<class FieldRdof >

field_rdof_indirect_const< FieldRdof >::const_iterator end_dof | ( |  | ) | const

Definition at line 291 of file field_wdof_indirect.h.

## Member Data Documentation

## _uh_const

template<class FieldRdof >

const FieldRdof _uh_const

protected

Definition at line 249 of file field_wdof_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_rdof.h
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_wdof_indirect.h